using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class ImageModify : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "BodyPartForEditOther",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomStudyDate",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomStudyTime",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "StudyDIRPath",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomSeriesDate",
                table: "TaskSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomSeriesTime",
                table: "TaskSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<bool>(
                name: "IsEncapsulated",
                table: "TaskInstance",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<string>(
                name: "MediaStorageSOPClassUID",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "MediaStorageSOPInstanceUID",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SOPClassUID",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "TransferSytaxUID",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "BodyPartForEditOther",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomStudyDate",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomStudyTime",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "StudyDIRPath",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomSeriesDate",
                table: "SCPSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DicomSeriesTime",
                table: "SCPSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<bool>(
                name: "IsEncapsulated",
                table: "SCPInstance",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<string>(
                name: "MediaStorageSOPClassUID",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "MediaStorageSOPInstanceUID",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SOPClassUID",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "TransferSytaxUID",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "UploadJsonStr",
                table: "SCPImageUpload",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "BodyPartForEditOther",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "DicomStudyDate",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "DicomStudyTime",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "StudyDIRPath",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "DicomSeriesDate",
                table: "TaskSeries");

            migrationBuilder.DropColumn(
                name: "DicomSeriesTime",
                table: "TaskSeries");

            migrationBuilder.DropColumn(
                name: "IsEncapsulated",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "MediaStorageSOPClassUID",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "MediaStorageSOPInstanceUID",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "SOPClassUID",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "TransferSytaxUID",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "BodyPartForEditOther",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "DicomStudyDate",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "DicomStudyTime",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "StudyDIRPath",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "DicomSeriesDate",
                table: "SCPSeries");

            migrationBuilder.DropColumn(
                name: "DicomSeriesTime",
                table: "SCPSeries");

            migrationBuilder.DropColumn(
                name: "IsEncapsulated",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "MediaStorageSOPClassUID",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "MediaStorageSOPInstanceUID",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "SOPClassUID",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "TransferSytaxUID",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "UploadJsonStr",
                table: "SCPImageUpload");
        }
    }
}
